LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

Project Explorer - Building an Installer - Looking for "NI Vision Development Module 2009"

Solved!
Go to solution

Hello,

 

     I am trying to build an installer for an application I wrote. This installer is set to automatically include the setup for DAQmx 8.9. When building the installer it asks to locate the distribution path for "NI Vision Development Module 2009". The problem is that this module is no longer installed on my PC nor is any component of it required by the installer / application. Why is the installer build asking for this? And how can I complete the build without it?

 

     I've attached a picture of the error message below.

 

Glen

0 Kudos
Message 1 of 3
(2,216 Views)
Solution
Accepted by AstroMed_Glen

Glen:

 

It looks like an issue with how the drivers on the system update shared components. If your installer is including a shared component (like MAX or something), it will look for the installer that most recently updated that shared component. In this case, something was updated most recently by the Vision Development Module, so it's asking you for that installer.

(There's a better explanation of all this in the following KB: Why Do I Get A "Missing Distribution" or "Distributions Needed" Error When Trying to Build an Instal...

 

You probably have a couple options:

1. Find the source media for the Vision Dev. Module if you still have it, and let the installer take its shared component from there.

 

2. Try updating another driver (preferably one used in your application) to its latest version if you haven't already. That may change what driver last updated the shared component in question.

 

Hope that helps!

Caleb Harris

National Instruments | Mechanical Engineer | http://www.ni.com/support
0 Kudos
Message 2 of 3
(2,184 Views)

Thank you! Yes I did two things that seemed to resolve the issue. The first, like you said, I downloaded the distribution for Vision 2009 and pointed the application builder to that directory when it called for it. Also, I am using DAQmx 8.9. When building an installer that includes this version, several different installation options become available under the "Install type" dropdown on the left. This is on the "Additional Installers" page when "NI-DAQmx 8.9" is selected. I then selected the option "Runtime 5" that used the least components, as the minimum contained everything I needed.

 

Thanks!

Glen

0 Kudos
Message 3 of 3
(2,176 Views)